#! /usr/bin/env bash

replace_var()
{
  file="${1}"
  var="${2}"
  sed -e "s?${var}?${!var}?g" -i "${file}"
}

replace_vars()
{
  file="${1}"
  for var in $(cat /etc/vars-vars)
  do
    replace_var "${file}" "${var}"
  done
}

replace_files()
{
  for file in $(cat /etc/vars-files)
  do
    replace_vars "${file}"
  done
}

replace_files

zabbix_server -f -c /etc/zabbix/zabbix_server.conf
